db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myrna van Lunteren" <m.v.lunte...@gmail.com>
Subject Re: [jira] Updated: (DERBY-2398) Convert jdbcapi/autoGeneratedJdbc30.java to junit
Date Fri, 16 Mar 2007 00:47:49 GMT
On 3/15/07, Jean T. Anderson (JIRA) <jira@apache.org> wrote:
>
>     [ https://issues.apache.org/jira/browse/DERBY-2398?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]
>
> Patch derby-2398.diff implements all tests. I'll wait for a day or two to give anyone
who has time/inclination to review it (and many thanks in advance).
>
> Three specific questions/notes are below.
>
> 1) The original autoGeneratedJdbc30_app.properties file has this setting:
>
>   runwithj9=false
>
> Does returning a empty suite if (!JDBC.vmSupportsJDBC3()) do what's needed for j9?  Or
should I do something special?
>
Just jumping in on this part - we don't need to worry about j9 per se.
That was created for IBM's jclMax implementation with wctme5.7, but it
was based on jdk 1.3, which we no longer support with our 10.3
codeline.
j9_foundation is (with 10.3) changed to mean weme6.1's implementation,
which is J2ME 1.1 / JSR169; that we still worry about and it can be
addressed by checking JDBC.vmSupportsJSR169. JDBC.vmSupportsJdbc20()
will return false for that JVM, as  (I think) will vmSupportsJdbc30().

Myrna

Mime
View raw message